Page MenuHomePhabricator

Deploy Help Panel to Ukrainian, Hungarian, Armenian Wikipedias
Open, Needs TriagePublic

Description

We are ready to deploy the help panel to Ukrainian, Hungarian, Armenian Wikipedias. It should be deployed according to our current experiment design: 80% treatment and 20% control, aligned with the homepage treatment/control groups.

  • Configure the deployment on Ukrainian, Hungarian, Armenian Wikipedias
  • Set date for deployment of all Growth features with contact points from each wiki (@Trizek-WMF) - Wednesday 22.
  • Inform communities
  • Test in production (@Etonkovidova)
  • Community contacts test in production
  • Validate that incoming data is correct shortly after deployment (@nettrom_WMF)
  • Look at leading indicators after about a month of usage (@nettrom_WMF)

Any specifics and configurations can be found in the setup tasks:

Details

Related Gerrit Patches:
operations/mediawiki-config : masterGrowthExperiments: Enable help panel on hywiki
operations/mediawiki-config : masterGrowthExperiments: Enable help panel on huwiki
operations/mediawiki-config : masterGrowthExperiments: Enable help panel on ukwiki

Event Timeline

JTannerWMF moved this task from Inbox to Upcoming Work on the Growth-Team board.Nov 14 2019, 12:39 PM
MMiller_WMF updated the task description. (Show Details)Nov 14 2019, 6:47 PM

@JTannerWMF -- thanks for making this task. Could you add the name of the contact point for who we should define a date for the deployment with?

kzimmerman moved this task from Triage to Icebox on the Product-Analytics board.Nov 15 2019, 9:30 PM
kzimmerman moved this task from Icebox to Tracking on the Product-Analytics board.
MMiller_WMF removed JTannerWMF as the assignee of this task.Jan 7 2020, 3:13 PM
MMiller_WMF renamed this task from Deploy Help Panel to Ukrainian Wikipedia to Deploy Help Panel to Ukrainian, Hungarian, Armenian Wikipedias.Jan 15 2020, 6:16 PM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)Jan 15 2020, 6:21 PM

Change 565442 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on ukwiki

https://gerrit.wikimedia.org/r/565442

Catrope added a subscriber: Catrope.EditedJan 17 2020, 3:00 AM

The ukwiki and huwiki patch don't enable the help panel in the main namespace in read mode, even though that was requested, because it's unusual and we've never done it before. If we decide that is desired, we can do it, but for now I'm erring on the side of caution. I brought this up on the Ukranian-specific task at T231720#5811842.

Change 565443 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on huwiki

https://gerrit.wikimedia.org/r/565443

Change 565447 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on hywiki

https://gerrit.wikimedia.org/r/565447

Catrope updated the task description. (Show Details)

The config patches are done. The next step is for @Trizek-WMF to set a deployment date for each wiki.

Trizek-WMF updated the task description. (Show Details)

The deployment is scheduled to start this Wednesday, the 22nd.

Change 565442 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on ukwiki

https://gerrit.wikimedia.org/r/565442

Change 565443 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on huwiki

https://gerrit.wikimedia.org/r/565443

Change 565447 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on hywiki

https://gerrit.wikimedia.org/r/565447

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:30:55Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable help panel on ukwiki, huwiki, hywiki (T238319, T231720, T230478, T230676) (duration: 01m 04s)

Moving to @Etonkovidova's column for her to validate in production.

@Trizek-WMF -- could you please ask the community contacts to try out the features and let us know if anything is wrong?

@nettrom_WMF -- this is now with you to validate the data.

Piramidion added a comment.EditedThu, Feb 6, 12:38 PM

Hi! Could you please at least remove the date from the topic names that are being created on the help page? See the page for a reference. The dates seem to be redundant, since they're already in the signatures, so why duplicate them? Besides, the page (and edit descriptions) feel somewhat cluttered and overly technical. It's best to simplify them somehow, and the removal of the date would be a nice starting point.

Hi @Piramidion -- thanks for trying the features out and thinking about them. The reason we ended up including those timestamps is that it is relatively common for newcomers to ask multiple separate questions close together. Without something like a timestamp in the header, those multiple questions from the same user would have identical headers, which makes it hard to distinguish them in the table of contents and in a watchlist. Does that make sense? Given that issue, what do you recommend?

@MMiller_WMF: thanks for the explanation! Yes, it makes sense, and we're currently thinking about a workaround to shorten the message translation-wise. As for the suggestions, there're some, but I don't think they're technically feasible at this point. Like, it would be better to post the messages with the same heading in the same section instead of creating a separate one. Or to move the page link (indicating where the help panel question workflow was triggered) from the heading to the comment area, just before the newcomer question, and so on.